RDKit::SmilesWrite Namespace Reference

## Functions

bool | inOrganicSubset (int atomicNumber)
| returns true if the atom number is in the SMILES organic subset More...
std::string | GetAtomSmiles (const Atom *atom, bool doKekule=false, const Bond *bondIn=0, bool allHsExplicit=false)
| returns the SMILES for an atom More...
std::string | GetBondSmiles (const Bond *bond, int atomToLeftIdx=-1, bool doKekule=false, bool allBondsExplicit=false)
| returns the SMILES for a bond More...

## Function Documentation

## GetAtomSmiles()

std::string RDKit::SmilesWrite::GetAtomSmiles | ( | const Atom * | atom,
|  | bool | doKekule = `false`,
|  | const Bond * | bondIn = `0`,
|  | bool | allHsExplicit = `false`
| ) |  |

returns the SMILES for an atom

Parameters

  atom | : the atom to work with
  doKekule | : we're doing kekulized smiles (e.g. don't use lower case for the atom label)
  bondIn | : the bond we came into the atom on (used for chirality calculation
  allHsExplicit | : if true, hydrogen counts will be provided for every atom.

## GetBondSmiles()

std::string RDKit::SmilesWrite::GetBondSmiles | ( | const Bond * | bond,
|  | int | atomToLeftIdx = `-1`,
|  | bool | doKekule = `false`,
|  | bool | allBondsExplicit = `false`
| ) |  |

returns the SMILES for a bond

Parameters

  bond | : the bond to work with
  atomToLeftIdx | : the index of the atom preceding `bond` in the SMILES
  doKekule | : we're doing kekulized smiles (e.g. write out bond orders for aromatic bonds)
  allBondsExplicit | : if true, symbols will be included for all bonds.

## inOrganicSubset()

bool RDKit::SmilesWrite::inOrganicSubset | ( | int | atomicNumber | ) |

returns true if the atom number is in the SMILES organic subset